"""
Template of classic circuits
"""

# template Uac-R-D-C
tmp_uac_r_d_c = {'elec_name': 'Uac_R_D_C', 'elec_config': {'ref_vol_visible': None, 'ref_cur_visible': None, 'canvas_grid_line': 'line', 'canvas_grid_intvl': 20}, 'comps_data': {'voltage_ac-1': {'part_data': {'id': 'voltage_ac-1', 'designator': 'Uac-1', 'amp': 20.0, 'freq': 50.0, 'phase': 0.0, 'node1': 1, 'node2': 0, 'vol_dir': 1, 'cur_dir': -1, 'crd_x': 620, 'crd_y': 460, 'angle': 90}, 'texts_data': {'default': {'id': 'default-voltage_ac-1', 'crd_x': 519, 'crd_y': 464, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'Uac-1\n20.0*sin(2π*50.0*t+0.0) V', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-voltage_ac-1', 'crd_x': 610, 'crd_y': 460, 'angle': 90, 'visible': True, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-voltage_ac-1', 'crd_x': 590, 'crd_y': 460, 'angle': 270, 'visible': True, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}, 'resistor-1': {'part_data': {'id': 'resistor-1', 'designator': 'R-1', 'value': 100.0, 'node1': 1, 'node2': 2, 'vol_dir': 1, 'cur_dir': 1, 'crd_x': 740, 'crd_y': 360, 'angle': 0}, 'texts_data': {'default': {'id': 'default-resistor-1', 'crd_x': 740, 'crd_y': 338, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'R-1\n100.0Ω', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-resistor-1', 'crd_x': 740, 'crd_y': 370, 'angle': 0, 'visible': True, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-resistor-1', 'crd_x': 740, 'crd_y': 390, 'angle': 0, 'visible': True, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}, 'diode-1': {'part_data': {'id': 'diode-1', 'designator': 'D-1', 'Ir': 5.5e-05, 'Rr': 1000000.0, 'Vf': 0.5, 'Rf': 0.0001, 'node1': 2, 'node2': 3, 'vol_dir': 1, 'cur_dir': 1, 'crd_x': 920, 'crd_y': 360, 'angle': 0}, 'texts_data': {'default': {'id': 'default-diode-1', 'crd_x': 919, 'crd_y': 343, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'D-1\n', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-diode-1', 'crd_x': 920, 'crd_y': 370, 'angle': 0, 'visible': True, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-diode-1', 'crd_x': 920, 'crd_y': 390, 'angle': 0, 'visible': True, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}, 'capacitor-1': {'part_data': {'id': 'capacitor-1', 'designator': 'C-1', 'value': 0.0001, 'Uc': 0, 'node1': 3, 'node2': 0, 'vol_dir': 1, 'cur_dir': 1, 'crd_x': 1060, 'crd_y': 460, 'angle': 90}, 'texts_data': {'default': {'id': 'default-capacitor-1', 'crd_x': 1094, 'crd_y': 459, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'C-1\n0.1mF', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-capacitor-1', 'crd_x': 1050, 'crd_y': 460, 'angle': 450, 'visible': True, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-capacitor-1', 'crd_x': 1030, 'crd_y': 460, 'angle': 810, 'visible': True, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}, 'ground-1': {'part_data': {'id': 'ground-1', 'designator': 'G-1', 'node1': 0, 'vol_dir': 1, 'cur_dir': 1, 'crd_x': 840, 'crd_y': 560, 'angle': 90}, 'texts_data': {'default': {'id': 'default-ground-1', 'crd_x': 864, 'crd_y': 571, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'G-1\n', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-ground-1', 'crd_x': 830, 'crd_y': 560, 'angle': 90, 'visible': False, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-ground-1', 'crd_x': 810, 'crd_y': 560, 'angle': 90, 'visible': False, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}}, 'conns_data': {'wire-1': {'wire_data': {'id': 'wire-1', 'designator': 'wire-1', 'net_id': 1, 'sta_comp': 'voltage_ac-1', 'sta_tmnl': '1', 'end_comp': 'resistor-1', 'end_tmnl': '1', 'mid_crds': [620, 360]}, 'texts_data': {'default': {'id': 'defaultwire-1', 'crd_x': 640, 'crd_y': 440, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-1', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}, 'wire-2': {'wire_data': {'id': 'wire-2', 'designator': 'wire-2', 'net_id': 2, 'sta_comp': 'resistor-1', 'sta_tmnl': '2', 'end_comp': 'diode-1', 'end_tmnl': '1', 'mid_crds': None}, 'texts_data': {'default': {'id': 'defaultwire-2', 'crd_x': 800, 'crd_y': 380, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-2', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}, 'wire-3': {'wire_data': {'id': 'wire-3', 'designator': 'wire-3', 'net_id': 3, 'sta_comp': 'diode-1', 'sta_tmnl': '2', 'end_comp': 'capacitor-1', 'end_tmnl': '1', 'mid_crds': [1060, 360]}, 'texts_data': {'default': {'id': 'defaultwire-3', 'crd_x': 980, 'crd_y': 380, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-3', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}, 'wire-4': {'wire_data': {'id': 'wire-4', 'designator': 'wire-4', 'net_id': 0, 'sta_comp': 'voltage_ac-1', 'sta_tmnl': '2', 'end_comp': 'ground-1', 'end_tmnl': '1', 'mid_crds': [620, 540]}, 'texts_data': {'default': {'id': 'defaultwire-4', 'crd_x': 640, 'crd_y': 520, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-4', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}, 'wire-5': {'wire_data': {'id': 'wire-5', 'designator': 'wire-5', 'net_id': 0, 'sta_comp': 'ground-1', 'sta_tmnl': '1', 'end_comp': 'capacitor-1', 'end_tmnl': '2', 'mid_crds': [1060, 540]}, 'texts_data': {'default': {'id': 'defaultwire-5', 'crd_x': 860, 'crd_y': 560, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-5', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}}, 'texts_data': {}, 'grphs_data': {}, 'calc_data': {'calc_method': 'Dynamic', 't_step': 1e-05, 't_lim': 0.5, 'u_comps': None, 'i_comps': None, 'u_nodes': None, 'time': None}}

# template Uac-4D-R-C
tmp_uac_4d_r_c = {'elec_name': 'New Elec', 'elec_config': {'ref_vol_visible': True, 'ref_cur_visible': True, 'canvas_grid_line': 'line', 'canvas_grid_intvl': 20}, 'comps_data': {'voltage_ac-1': {'part_data': {'id': 'voltage_ac-1', 'designator': 'Uac-1', 'amp': 20.0, 'freq': 50.0, 'phase': 0.0, 'node1': 1, 'node2': 0, 'vol_dir': 1, 'cur_dir': -1, 'crd_x': 520, 'crd_y': 380, 'angle': 90}, 'texts_data': {'default': {'id': 'default-voltage_ac-1', 'crd_x': 447, 'crd_y': 415, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'Uac-1\n20.0*sin(2π*50.0*t+0.0) V', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-voltage_ac-1', 'crd_x': 510, 'crd_y': 380, 'angle': 90, 'visible': True, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-voltage_ac-1', 'crd_x': 490, 'crd_y': 380, 'angle': 270, 'visible': True, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}, 'resistor-1': {'part_data': {'id': 'resistor-1', 'designator': 'R-1', 'value': 200.0, 'node1': 2, 'node2': 3, 'vol_dir': 1, 'cur_dir': 1, 'crd_x': 780, 'crd_y': 380, 'angle': 0}, 'texts_data': {'default': {'id': 'default-resistor-1', 'crd_x': 780, 'crd_y': 350, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'R-1\n200.0Ω', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-resistor-1', 'crd_x': 780, 'crd_y': 390, 'angle': 0, 'visible': True, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-resistor-1', 'crd_x': 782, 'crd_y': 400, 'angle': 0, 'visible': True, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}, 'diode-1': {'part_data': {'id': 'diode-1', 'designator': 'D-1', 'Ir': 5.5e-05, 'Rr': 1000000.0, 'Vf': 0.5, 'Rf': 0.0001, 'node1': 1, 'node2': 2, 'vol_dir': 1, 'cur_dir': 1, 'crd_x': 680, 'crd_y': 280, 'angle': 90}, 'texts_data': {'default': {'id': 'default-diode-1', 'crd_x': 703, 'crd_y': 286, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'D-1\n', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-diode-1', 'crd_x': 670, 'crd_y': 280, 'angle': 90, 'visible': True, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-diode-1', 'crd_x': 661, 'crd_y': 281, 'angle': 90, 'visible': True, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}, 'diode-2': {'part_data': {'id': 'diode-2', 'designator': 'D-2', 'Ir': 5.5e-05, 'Rr': 1000000.0, 'Vf': 0.5, 'Rf': 0.0001, 'node1': 4, 'node2': 1, 'vol_dir': 1, 'cur_dir': 1, 'crd_x': 940, 'crd_y': 280, 'angle': 270}, 'texts_data': {'default': {'id': 'default-diode-2', 'crd_x': 920, 'crd_y': 287, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'D-2\n', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-diode-2', 'crd_x': 950, 'crd_y': 280, 'angle': 270, 'visible': True, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-diode-2', 'crd_x': 960, 'crd_y': 281, 'angle': 270, 'visible': True, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}, 'diode-3': {'part_data': {'id': 'diode-3', 'designator': 'D-3', 'Ir': 5.5e-05, 'Rr': 1000000.0, 'Vf': 0.5, 'Rf': 0.0001, 'node1': 0, 'node2': 2, 'vol_dir': 1, 'cur_dir': 1, 'crd_x': 680, 'crd_y': 480, 'angle': 270}, 'texts_data': {'default': {'id': 'default-diode-3', 'crd_x': 660, 'crd_y': 488, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'D-3\n', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-diode-3', 'crd_x': 690, 'crd_y': 480, 'angle': 270, 'visible': True, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-diode-3', 'crd_x': 702, 'crd_y': 479, 'angle': 270, 'visible': True, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}, 'diode-4': {'part_data': {'id': 'diode-4', 'designator': 'D-4', 'Ir': 5.5e-05, 'Rr': 1000000.0, 'Vf': 0.5, 'Rf': 0.0001, 'node1': 4, 'node2': 0, 'vol_dir': 1, 'cur_dir': 1, 'crd_x': 940, 'crd_y': 480, 'angle': 90}, 'texts_data': {'default': {'id': 'default-diode-4', 'crd_x': 964, 'crd_y': 485, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'D-4\n', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-diode-4', 'crd_x': 930, 'crd_y': 480, 'angle': 90, 'visible': True, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-diode-4', 'crd_x': 919, 'crd_y': 478, 'angle': 90, 'visible': True, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}, 'capacitor-1': {'part_data': {'id': 'capacitor-1', 'designator': 'C-1', 'value': 0.0001, 'Uc': 0, 'node1': 3, 'node2': 4, 'vol_dir': 1, 'cur_dir': 1, 'crd_x': 860, 'crd_y': 380, 'angle': 0}, 'texts_data': {'default': {'id': 'default-capacitor-1', 'crd_x': 860, 'crd_y': 350, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'C-1\n0.1mF', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-capacitor-1', 'crd_x': 860, 'crd_y': 390, 'angle': 0, 'visible': True, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-capacitor-1', 'crd_x': 862, 'crd_y': 401, 'angle': 0, 'visible': True, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}, 'ground-1': {'part_data': {'id': 'ground-1', 'designator': 'GND-1', 'node1': 0, 'vol_dir': 1, 'cur_dir': 1, 'crd_x': 680, 'crd_y': 560, 'angle': 90}, 'texts_data': {'default': {'id': 'default-ground-1', 'crd_x': 681, 'crd_y': 592, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'GND-1\n', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-ground-1', 'crd_x': 670, 'crd_y': 560, 'angle': 90, 'visible': False, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-ground-1', 'crd_x': 650, 'crd_y': 560, 'angle': 90, 'visible': False, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}}, 'conns_data': {'wire-1': {'wire_data': {'id': 'wire-1', 'designator': 'wire-1', 'net_id': 1, 'sta_comp': 'voltage_ac-1', 'sta_tmnl': '1', 'end_comp': 'diode-1', 'end_tmnl': '1', 'mid_crds': [520, 240]}, 'texts_data': {'default': {'id': 'defaultwire-1', 'crd_x': 540, 'crd_y': 360, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-1', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}, 'wire-2': {'wire_data': {'id': 'wire-2', 'designator': 'wire-2', 'net_id': 1, 'sta_comp': 'diode-1', 'sta_tmnl': '1', 'end_comp': 'diode-2', 'end_tmnl': '2', 'mid_crds': None}, 'texts_data': {'default': {'id': 'defaultwire-2', 'crd_x': 700, 'crd_y': 260, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-2', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}, 'wire-6': {'wire_data': {'id': 'wire-6', 'designator': 'wire-6', 'net_id': 2, 'sta_comp': 'diode-1', 'sta_tmnl': '2', 'end_comp': 'diode-3', 'end_tmnl': '2', 'mid_crds': None}, 'texts_data': {'default': {'id': 'defaultwire-6', 'crd_x': 700, 'crd_y': 340, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-6', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}, 'wire-7': {'wire_data': {'id': 'wire-7', 'designator': 'wire-7', 'net_id': 2, 'sta_comp': 'resistor-1', 'sta_tmnl': '1', 'end_comp': 'diode-1', 'end_tmnl': '2', 'mid_crds': [680, 380]}, 'texts_data': {'default': {'id': 'defaultwire-7', 'crd_x': 760, 'crd_y': 400, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-7', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}, 'wire-8': {'wire_data': {'id': 'wire-8', 'designator': 'wire-8', 'net_id': 3, 'sta_comp': 'resistor-1', 'sta_tmnl': '2', 'end_comp': 'capacitor-1', 'end_tmnl': '1', 'mid_crds': None}, 'texts_data': {'default': {'id': 'defaultwire-8', 'crd_x': 840, 'crd_y': 400, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-8', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}, 'wire-9': {'wire_data': {'id': 'wire-9', 'designator': 'wire-9', 'net_id': 4, 'sta_comp': 'capacitor-1', 'sta_tmnl': '2', 'end_comp': 'diode-2', 'end_tmnl': '1', 'mid_crds': [940, 380]}, 'texts_data': {'default': {'id': 'defaultwire-9', 'crd_x': 900, 'crd_y': 400, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-9', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}, 'wire-10': {'wire_data': {'id': 'wire-10', 'designator': 'wire-10', 'net_id': 4, 'sta_comp': 'diode-4', 'sta_tmnl': '1', 'end_comp': 'capacitor-1', 'end_tmnl': '2', 'mid_crds': [940, 380]}, 'texts_data': {'default': {'id': 'defaultwire-10', 'crd_x': 960, 'crd_y': 460, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-10', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}, 'wire-3': {'wire_data': {'id': 'wire-3', 'designator': 'wire-3', 'net_id': 0, 'sta_comp': 'diode-3', 'sta_tmnl': '1', 'end_comp': 'ground-1', 'end_tmnl': '1', 'mid_crds': None}, 'texts_data': {'default': {'id': 'defaultwire-3', 'crd_x': 700, 'crd_y': 540, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-3', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}, 'wire-4': {'wire_data': {'id': 'wire-4', 'designator': 'wire-4', 'net_id': 0, 'sta_comp': 'ground-1', 'sta_tmnl': '1', 'end_comp': 'diode-4', 'end_tmnl': '2', 'mid_crds': [940, 540]}, 'texts_data': {'default': {'id': 'defaultwire-4', 'crd_x': 700, 'crd_y': 560, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-4', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}, 'wire-5': {'wire_data': {'id': 'wire-5', 'designator': 'wire-5', 'net_id': 0, 'sta_comp': 'ground-1', 'sta_tmnl': '1', 'end_comp': 'voltage_ac-1', 'end_tmnl': '2', 'mid_crds': [520, 540]}, 'texts_data': {'default': {'id': 'defaultwire-5', 'crd_x': 700, 'crd_y': 560, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-5', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}}, 'texts_data': {}, 'grphs_data': {}, 'calc_data': {'calc_method': 'Dynamic', 't_step': 1e-05, 't_lim': 0.5, 'u_comps': None, 'i_comps': None, 'u_nodes': None, 'time': None}}

# template Uac-R-L-C
tmp_uac_r_l_c = {'elec_name': 'Uac_R_L_C', 'elec_config': {'ref_vol_visible': None, 'ref_cur_visible': None, 'canvas_grid_line': 'line', 'canvas_grid_intvl': 20}, 'comps_data': {'voltage_ac-1': {'part_data': {'id': 'voltage_ac-1', 'designator': 'Uac-1', 'amp': 5.0, 'freq': 50.0, 'phase': 0.0, 'node1': 1, 'node2': 0, 'vol_dir': 1, 'cur_dir': -1, 'crd_x': 540, 'crd_y': 400, 'angle': 90}, 'texts_data': {'default': {'id': 'default-voltage_ac-1', 'crd_x': 439, 'crd_y': 404, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'Uac-1\n5.0*sin(2π*50.0*t+0.0) V', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-voltage_ac-1', 'crd_x': 530, 'crd_y': 400, 'angle': 90, 'visible': True, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-voltage_ac-1', 'crd_x': 510, 'crd_y': 400, 'angle': 270, 'visible': True, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}, 'resistor-1': {'part_data': {'id': 'resistor-1', 'designator': 'R-1', 'value': 10.0, 'node1': 1, 'node2': 2, 'vol_dir': 1, 'cur_dir': 1, 'crd_x': 700, 'crd_y': 280, 'angle': 0}, 'texts_data': {'default': {'id': 'default-resistor-1', 'crd_x': 700, 'crd_y': 250, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'R-1\n10.0Ω', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-resistor-1', 'crd_x': 700, 'crd_y': 290, 'angle': 0, 'visible': True, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-resistor-1', 'crd_x': 698, 'crd_y': 301, 'angle': 0, 'visible': True, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}, 'inductor-1': {'part_data': {'id': 'inductor-1', 'designator': 'L-1', 'value': 0.1, 'Il': 0, 'node1': 2, 'node2': 3, 'vol_dir': 1, 'cur_dir': 1, 'crd_x': 880, 'crd_y': 280, 'angle': 0}, 'texts_data': {'default': {'id': 'default-inductor-1', 'crd_x': 880, 'crd_y': 250, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'L-1\n0.1H', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-inductor-1', 'crd_x': 880, 'crd_y': 290, 'angle': 0, 'visible': True, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-inductor-1', 'crd_x': 884, 'crd_y': 300, 'angle': 0, 'visible': True, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}, 'capacitor-1': {'part_data': {'id': 'capacitor-1', 'designator': 'C-1', 'value': 0.0001, 'Uc': 0, 'node1': 3, 'node2': 0, 'vol_dir': 1, 'cur_dir': 1, 'crd_x': 1020, 'crd_y': 380, 'angle': 90}, 'texts_data': {'default': {'id': 'default-capacitor-1', 'crd_x': 1051, 'crd_y': 377, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'C-1\n0.1mF', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-capacitor-1', 'crd_x': 1005, 'crd_y': 385, 'angle': 450, 'visible': True, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-capacitor-1', 'crd_x': 990, 'crd_y': 380, 'angle': 450, 'visible': True, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}, 'ground-1': {'part_data': {'id': 'ground-1', 'designator': 'G-1', 'node1': 0, 'vol_dir': 1, 'cur_dir': 1, 'crd_x': 800, 'crd_y': 500, 'angle': 90}, 'texts_data': {'default': {'id': 'default-ground-1', 'crd_x': 822, 'crd_y': 515, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'G-1\n', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-ground-1', 'crd_x': 790, 'crd_y': 500, 'angle': 90, 'visible': False, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-ground-1', 'crd_x': 770, 'crd_y': 500, 'angle': 90, 'visible': False, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}}, 'conns_data': {'wire-1': {'wire_data': {'id': 'wire-1', 'designator': 'wire-1', 'net_id': 1, 'sta_comp': 'voltage_ac-1', 'sta_tmnl': '1', 'end_comp': 'resistor-1', 'end_tmnl': '1', 'mid_crds': [540, 280]}, 'texts_data': {'default': {'id': 'defaultwire-1', 'crd_x': 560, 'crd_y': 380, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-1', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}, 'wire-2': {'wire_data': {'id': 'wire-2', 'designator': 'wire-2', 'net_id': 2, 'sta_comp': 'resistor-1', 'sta_tmnl': '2', 'end_comp': 'inductor-1', 'end_tmnl': '1', 'mid_crds': None}, 'texts_data': {'default': {'id': 'defaultwire-2', 'crd_x': 760, 'crd_y': 300, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-2', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}, 'wire-3': {'wire_data': {'id': 'wire-3', 'designator': 'wire-3', 'net_id': 3, 'sta_comp': 'inductor-1', 'sta_tmnl': '2', 'end_comp': 'capacitor-1', 'end_tmnl': '1', 'mid_crds': [1020, 280]}, 'texts_data': {'default': {'id': 'defaultwire-3', 'crd_x': 940, 'crd_y': 300, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-3', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}, 'wire-4': {'wire_data': {'id': 'wire-4', 'designator': 'wire-4', 'net_id': 0, 'sta_comp': 'voltage_ac-1', 'sta_tmnl': '2', 'end_comp': 'ground-1', 'end_tmnl': '1', 'mid_crds': [540, 480]}, 'texts_data': {'default': {'id': 'defaultwire-4', 'crd_x': 560, 'crd_y': 460, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-4', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}, 'wire-5': {'wire_data': {'id': 'wire-5', 'designator': 'wire-5', 'net_id': 0, 'sta_comp': 'ground-1', 'sta_tmnl': '1', 'end_comp': 'capacitor-1', 'end_tmnl': '2', 'mid_crds': [1020, 480]}, 'texts_data': {'default': {'id': 'defaultwire-5', 'crd_x': 820, 'crd_y': 500, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-5', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}}, 'texts_data': {}, 'grphs_data': {}, 'calc_data': {'calc_method': 'SinSteady', 't_step': 1e-05, 't_lim': 0.5, 'u_comps': {'Uac-1': (5+0j), 'R-1': (4.99140098746493+0.20717412883555575j), 'L-1': (-0.6508567211636485+15.680948673340664j), 'C-1': (0.6594557336987186-15.88812280217622j)}, 'i_comps': {'Uac-1': (0.499140098746493+0.02071741288355561j), 'R-1': (0.499140098746493+0.02071741288355561j), 'L-1': (0.499140098746493+0.02071741288355561j), 'C-1': (0.49914009874649296+0.020717412883555608j)}, 'u_nodes': {'node1': (5+0j), 'node2': (0.008599012535070116-0.20717412883555575j), 'node3': (0.6594557336987186-15.88812280217622j)}, 'time': None}}

# template Iac-R-L-C
tmp_iac_r_l_c = {'elec_name': 'New Elec', 'elec_config': {'ref_vol_visible': None, 'ref_cur_visible': None, 'canvas_grid_line': 'line', 'canvas_grid_intvl': 20}, 'comps_data': {'current_ac-1': {'part_data': {'id': 'current_ac-1', 'designator': 'Iac-1', 'amp': 5.0, 'freq': 50.0, 'phase': 0.0, 'node1': 0, 'node2': 1, 'vol_dir': -1, 'cur_dir': 1, 'crd_x': 440, 'crd_y': 300, 'angle': 270}, 'texts_data': {'default': {'id': 'default-current_ac-1', 'crd_x': 364, 'crd_y': 331, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'Iac-1\n5.0*sin(2π*50.0*t+0.0) A', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-current_ac-1', 'crd_x': 450, 'crd_y': 300, 'angle': 450, 'visible': True, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-current_ac-1', 'crd_x': 470, 'crd_y': 300, 'angle': 270, 'visible': True, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}, 'resistor-1': {'part_data': {'id': 'resistor-1', 'designator': 'R-1', 'value': 10.0, 'node1': 1, 'node2': 0, 'vol_dir': 1, 'cur_dir': 1, 'crd_x': 600, 'crd_y': 300, 'angle': 90}, 'texts_data': {'default': {'id': 'default-resistor-1', 'crd_x': 622, 'crd_y': 299, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'R-1\n10.0Ω', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-resistor-1', 'crd_x': 590, 'crd_y': 300, 'angle': 90, 'visible': True, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-resistor-1', 'crd_x': 579, 'crd_y': 305, 'angle': 90, 'visible': True, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}, 'capacitor-1': {'part_data': {'id': 'capacitor-1', 'designator': 'C-1', 'value': 0.001, 'Uc': 0, 'node1': 1, 'node2': 0, 'vol_dir': 1, 'cur_dir': 1, 'crd_x': 840, 'crd_y': 300, 'angle': 90}, 'texts_data': {'default': {'id': 'default-capacitor-1', 'crd_x': 870, 'crd_y': 301, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'C-1\n1.0mF', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-capacitor-1', 'crd_x': 830, 'crd_y': 300, 'angle': 90, 'visible': True, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-capacitor-1', 'crd_x': 816, 'crd_y': 304, 'angle': 90, 'visible': True, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}, 'inductor-1': {'part_data': {'id': 'inductor-1', 'designator': 'L-1', 'value': 0.01, 'Il': 0, 'node1': 1, 'node2': 0, 'vol_dir': 1, 'cur_dir': 1, 'crd_x': 720, 'crd_y': 300, 'angle': 90}, 'texts_data': {'default': {'id': 'default-inductor-1', 'crd_x': 739, 'crd_y': 302, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'L-1\n0.01H', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-inductor-1', 'crd_x': 710, 'crd_y': 300, 'angle': 90, 'visible': True, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-inductor-1', 'crd_x': 700, 'crd_y': 305, 'angle': 90, 'visible': True, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}, 'ground-1': {'part_data': {'id': 'ground-1', 'designator': 'GND-1', 'node1': 0, 'vol_dir': 1, 'cur_dir': 1, 'crd_x': 660, 'crd_y': 420, 'angle': 90}, 'texts_data': {'default': {'id': 'default-ground-1', 'crd_x': 664, 'crd_y': 452, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'GND-1\n', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-ground-1', 'crd_x': 650, 'crd_y': 420, 'angle': 90, 'visible': False, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-ground-1', 'crd_x': 630, 'crd_y': 420, 'angle': 90, 'visible': False, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}}, 'conns_data': {'wire-1': {'wire_data': {'id': 'wire-1', 'designator': 'wire-1', 'net_id': 0, 'sta_comp': 'current_ac-1', 'sta_tmnl': '1', 'end_comp': 'ground-1', 'end_tmnl': '1', 'mid_crds': [440, 400]}, 'texts_data': {'default': {'id': 'defaultwire-1', 'crd_x': 460, 'crd_y': 360, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-1', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}, 'wire-2': {'wire_data': {'id': 'wire-2', 'designator': 'wire-2', 'net_id': 0, 'sta_comp': 'resistor-1', 'sta_tmnl': '2', 'end_comp': 'ground-1', 'end_tmnl': '1', 'mid_crds': [600, 400]}, 'texts_data': {'default': {'id': 'defaultwire-2', 'crd_x': 620, 'crd_y': 360, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-2', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}, 'wire-3': {'wire_data': {'id': 'wire-3', 'designator': 'wire-3', 'net_id': 0, 'sta_comp': 'inductor-1', 'sta_tmnl': '2', 'end_comp': 'ground-1', 'end_tmnl': '1', 'mid_crds': [720, 400]}, 'texts_data': {'default': {'id': 'defaultwire-3', 'crd_x': 740, 'crd_y': 360, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-3', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}, 'wire-4': {'wire_data': {'id': 'wire-4', 'designator': 'wire-4', 'net_id': 0, 'sta_comp': 'capacitor-1', 'sta_tmnl': '2', 'end_comp': 'ground-1', 'end_tmnl': '1', 'mid_crds': [840, 400]}, 'texts_data': {'default': {'id': 'defaultwire-4', 'crd_x': 860, 'crd_y': 340, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-4', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}, 'wire-5': {'wire_data': {'id': 'wire-5', 'designator': 'wire-5', 'net_id': 1, 'sta_comp': 'current_ac-1', 'sta_tmnl': '2', 'end_comp': 'resistor-1', 'end_tmnl': '1', 'mid_crds': [440, 220, 440, 200, 600, 200]}, 'texts_data': {'default': {'id': 'defaultwire-5', 'crd_x': 460, 'crd_y': 280, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-5', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}, 'wire-6': {'wire_data': {'id': 'wire-6', 'designator': 'wire-6', 'net_id': 1, 'sta_comp': 'resistor-1', 'sta_tmnl': '1', 'end_comp': 'inductor-1', 'end_tmnl': '1', 'mid_crds': [600, 200, 720, 200]}, 'texts_data': {'default': {'id': 'defaultwire-6', 'crd_x': 620, 'crd_y': 280, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-6', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}, 'wire-7': {'wire_data': {'id': 'wire-7', 'designator': 'wire-7', 'net_id': 1, 'sta_comp': 'inductor-1', 'sta_tmnl': '1', 'end_comp': 'capacitor-1', 'end_tmnl': '1', 'mid_crds': [720, 200, 840, 200]}, 'texts_data': {'default': {'id': 'defaultwire-7', 'crd_x': 740, 'crd_y': 280, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-7', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}}, 'texts_data': {}, 'grphs_data': {}, 'calc_data': {'calc_method': 'SinSteady', 't_step': 1e-05, 't_lim': 1.0, 'u_comps': {'Iac-1': (49.91400987464931+2.0717412883555966j), 'R-1': (49.91400987464931+2.0717412883555966j), 'C-1': (49.91400987464931+2.0717412883555966j), 'L-1': (49.91400987464931+2.0717412883555966j)}, 'i_comps': {'Iac-1': (5+0j), 'R-1': (4.991400987464931+0.20717412883555966j), 'C-1': (-0.6508567211636596+15.680948673340664j), 'L-1': (0.6594557336987298-15.888122802176223j)}, 'u_nodes': {'node1': (49.91400987464931+2.0717412883555966j)}, 'time': None}}

# template Udc-R-C
tmp_udc_r_c = {'elec_name': 'New Elec', 'elec_config': {'ref_vol_visible': None, 'ref_cur_visible': None, 'canvas_grid_line': 'line', 'canvas_grid_intvl': 20}, 'comps_data': {'voltage_dc-1': {'part_data': {'id': 'voltage_dc-1', 'designator': 'Udc-1', 'amp': 20.0, 'node1': 1, 'node2': 0, 'vol_dir': 1, 'cur_dir': -1, 'crd_x': 560, 'crd_y': 480, 'angle': 90}, 'texts_data': {'default': {'id': 'default-voltage_dc-1', 'crd_x': 596, 'crd_y': 480, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'Udc-1\n20.0V', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-voltage_dc-1', 'crd_x': 550, 'crd_y': 480, 'angle': 90, 'visible': True, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-voltage_dc-1', 'crd_x': 530, 'crd_y': 480, 'angle': 270, 'visible': True, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}, 'resistor-1': {'part_data': {'id': 'resistor-1', 'designator': 'R-1', 'value': 500.0, 'node1': 1, 'node2': 2, 'vol_dir': 1, 'cur_dir': 1, 'crd_x': 740, 'crd_y': 380, 'angle': 0}, 'texts_data': {'default': {'id': 'default-resistor-1', 'crd_x': 738, 'crd_y': 359, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'R-1\n500.0Ω', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-resistor-1', 'crd_x': 740, 'crd_y': 390, 'angle': 0, 'visible': True, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-resistor-1', 'crd_x': 742, 'crd_y': 404, 'angle': 0, 'visible': True, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}, 'capacitor-1': {'part_data': {'id': 'capacitor-1', 'designator': 'C-1', 'value': 0.0001, 'Uc': 0, 'node1': 2, 'node2': 0, 'vol_dir': 1, 'cur_dir': 1, 'crd_x': 920, 'crd_y': 480, 'angle': 90}, 'texts_data': {'default': {'id': 'default-capacitor-1', 'crd_x': 955, 'crd_y': 480, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'C-1\n0.1mF', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-capacitor-1', 'crd_x': 910, 'crd_y': 480, 'angle': 90, 'visible': True, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-capacitor-1', 'crd_x': 895, 'crd_y': 485, 'angle': 90, 'visible': True, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}, 'ground-1': {'part_data': {'id': 'ground-1', 'designator': 'G-1', 'node1': 0, 'vol_dir': 1, 'cur_dir': 1, 'crd_x': 740, 'crd_y': 580, 'angle': 90}, 'texts_data': {'default': {'id': 'default-ground-1', 'crd_x': 772, 'crd_y': 596, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'G-1\n', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-ground-1', 'crd_x': 730, 'crd_y': 580, 'angle': 90, 'visible': False, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-ground-1', 'crd_x': 710, 'crd_y': 580, 'angle': 90, 'visible': False, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}}, 'conns_data': {'wire-1': {'wire_data': {'id': 'wire-1', 'designator': 'wire-1', 'net_id': 1, 'sta_comp': 'voltage_dc-1', 'sta_tmnl': '1', 'end_comp': 'resistor-1', 'end_tmnl': '1', 'mid_crds': [560, 380]}, 'texts_data': {'default': {'id': 'defaultwire-1', 'crd_x': 580, 'crd_y': 460, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-1', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}, 'wire-2': {'wire_data': {'id': 'wire-2', 'designator': 'wire-2', 'net_id': 2, 'sta_comp': 'resistor-1', 'sta_tmnl': '2', 'end_comp': 'capacitor-1', 'end_tmnl': '1', 'mid_crds': [920, 380]}, 'texts_data': {'default': {'id': 'defaultwire-2', 'crd_x': 800, 'crd_y': 400, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-2', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}, 'wire-3': {'wire_data': {'id': 'wire-3', 'designator': 'wire-3', 'net_id': 0, 'sta_comp': 'voltage_dc-1', 'sta_tmnl': '2', 'end_comp': 'ground-1', 'end_tmnl': '1', 'mid_crds': [560, 560]}, 'texts_data': {'default': {'id': 'defaultwire-3', 'crd_x': 580, 'crd_y': 540, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-3', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}, 'wire-4': {'wire_data': {'id': 'wire-4', 'designator': 'wire-4', 'net_id': 0, 'sta_comp': 'ground-1', 'sta_tmnl': '1', 'end_comp': 'capacitor-1', 'end_tmnl': '2', 'mid_crds': [920, 560]}, 'texts_data': {'default': {'id': 'defaultwire-4', 'crd_x': 760, 'crd_y': 580, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-4', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}}, 'texts_data': {}, 'grphs_data': {}, 'calc_data': {'calc_method': 'Dynamic', 't_step': 1e-05, 't_lim': 0.5, 'u_comps': None, 'i_comps': None, 'u_nodes': None, 'time': None}}

# template C-R
tmp_c_r = {'elec_name': 'New Elec', 'elec_config': {'ref_vol_visible': None, 'ref_cur_visible': None, 'canvas_grid_line': 'line', 'canvas_grid_intvl': 20}, 'comps_data': {'capacitor-1': {'part_data': {'id': 'capacitor-1', 'designator': 'C-1', 'value': 0.0001, 'Uc': 20, 'node1': 1, 'node2': 0, 'vol_dir': 1, 'cur_dir': 1, 'crd_x': 540, 'crd_y': 380, 'angle': 90}, 'texts_data': {'default': {'id': 'default-capacitor-1', 'crd_x': 572, 'crd_y': 377, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'C-1\n0.1mF', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-capacitor-1', 'crd_x': 530, 'crd_y': 380, 'angle': 90, 'visible': True, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-capacitor-1', 'crd_x': 510, 'crd_y': 380, 'angle': 450, 'visible': True, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}, 'resistor-1': {'part_data': {'id': 'resistor-1', 'designator': 'R-1', 'value': 500.0, 'node1': 1, 'node2': 0, 'vol_dir': 1, 'cur_dir': -1, 'crd_x': 860, 'crd_y': 380, 'angle': 90}, 'texts_data': {'default': {'id': 'default-resistor-1', 'crd_x': 884, 'crd_y': 377, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'R-1\n500.0Ω', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-resistor-1', 'crd_x': 849, 'crd_y': 380, 'angle': 90, 'visible': True, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-resistor-1', 'crd_x': 830, 'crd_y': 380, 'angle': 270, 'visible': True, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}, 'ground-1': {'part_data': {'id': 'ground-1', 'designator': 'G-1', 'node1': 0, 'vol_dir': 1, 'cur_dir': 1, 'crd_x': 700, 'crd_y': 500, 'angle': 90}, 'texts_data': {'default': {'id': 'default-ground-1', 'crd_x': 700, 'crd_y': 470, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'G-1\n', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-ground-1', 'crd_x': 690, 'crd_y': 500, 'angle': 90, 'visible': False, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-ground-1', 'crd_x': 670, 'crd_y': 500, 'angle': 90, 'visible': False, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}}, 'conns_data': {'wire-2': {'wire_data': {'id': 'wire-2', 'designator': 'wire-2', 'net_id': 0, 'sta_comp': 'capacitor-1', 'sta_tmnl': '2', 'end_comp': 'ground-1', 'end_tmnl': '1', 'mid_crds': [540, 480]}, 'texts_data': {'default': {'id': 'defaultwire-2', 'crd_x': 560, 'crd_y': 420, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-2', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}, 'wire-3': {'wire_data': {'id': 'wire-3', 'designator': 'wire-3', 'net_id': 0, 'sta_comp': 'ground-1', 'sta_tmnl': '1', 'end_comp': 'resistor-1', 'end_tmnl': '2', 'mid_crds': [860, 480]}, 'texts_data': {'default': {'id': 'defaultwire-3', 'crd_x': 720, 'crd_y': 500, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-3', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}, 'wire-1': {'wire_data': {'id': 'wire-1', 'designator': 'wire-1', 'net_id': 1, 'sta_comp': 'capacitor-1', 'sta_tmnl': '1', 'end_comp': 'resistor-1', 'end_tmnl': '1', 'mid_crds': [540, 260, 860, 260]}, 'texts_data': {'default': {'id': 'defaultwire-1', 'crd_x': 560, 'crd_y': 380, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-1', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}}, 'texts_data': {}, 'grphs_data': {}, 'calc_data': {'calc_method': 'Dynamic', 't_step': 1e-05, 't_lim': 0.5, 'u_comps': None, 'i_comps': None, 'u_nodes': None, 'time': None}}

# template C-R-L
tmp_c_r_l = {'elec_name': 'New Elec', 'elec_config': {'ref_vol_visible': None, 'ref_cur_visible': None, 'canvas_grid_line': 'line', 'canvas_grid_intvl': 20}, 'comps_data': {'capacitor-1': {'part_data': {'id': 'capacitor-1', 'designator': 'C-1', 'value': 0.001, 'Uc': 20, 'node1': 1, 'node2': 0, 'vol_dir': 1, 'cur_dir': 1, 'crd_x': 520, 'crd_y': 440, 'angle': 90}, 'texts_data': {'default': {'id': 'default-capacitor-1', 'crd_x': 554, 'crd_y': 439, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'C-1\n1.0mF', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-capacitor-1', 'crd_x': 510, 'crd_y': 440, 'angle': 90, 'visible': True, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-capacitor-1', 'crd_x': 490, 'crd_y': 440, 'angle': 90, 'visible': True, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}, 'resistor-1': {'part_data': {'id': 'resistor-1', 'designator': 'R-1', 'value': 1.0, 'node1': 1, 'node2': 2, 'vol_dir': 1, 'cur_dir': 1, 'crd_x': 720, 'crd_y': 300, 'angle': 0}, 'texts_data': {'default': {'id': 'default-resistor-1', 'crd_x': 720, 'crd_y': 270, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'R-1\n1.0Ω', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-resistor-1', 'crd_x': 720, 'crd_y': 310, 'angle': 0, 'visible': True, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-resistor-1', 'crd_x': 720, 'crd_y': 330, 'angle': 0, 'visible': True, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}, 'inductor-1': {'part_data': {'id': 'inductor-1', 'designator': 'L-1', 'value': 0.001, 'Il': 0, 'node1': 2, 'node2': 0, 'vol_dir': 1, 'cur_dir': 1, 'crd_x': 940, 'crd_y': 440, 'angle': 90}, 'texts_data': {'default': {'id': 'default-inductor-1', 'crd_x': 960, 'crd_y': 442, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'L-1\n1.0mH', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-inductor-1', 'crd_x': 923, 'crd_y': 440, 'angle': 90, 'visible': True, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-inductor-1', 'crd_x': 910, 'crd_y': 440, 'angle': 90, 'visible': True, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}, 'ground-1': {'part_data': {'id': 'ground-1', 'designator': 'G-1', 'node1': 0, 'vol_dir': 1, 'cur_dir': 1, 'crd_x': 740, 'crd_y': 560, 'angle': 90}, 'texts_data': {'default': {'id': 'default-ground-1', 'crd_x': 770, 'crd_y': 576, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'G-1\n', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-ground-1', 'crd_x': 730, 'crd_y': 560, 'angle': 90, 'visible': False, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-ground-1', 'crd_x': 710, 'crd_y': 560, 'angle': 90, 'visible': False, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}}, 'conns_data': {'wire-1': {'wire_data': {'id': 'wire-1', 'designator': 'wire-1', 'net_id': 1, 'sta_comp': 'capacitor-1', 'sta_tmnl': '1', 'end_comp': 'resistor-1', 'end_tmnl': '1', 'mid_crds': [520, 300]}, 'texts_data': {'default': {'id': 'defaultwire-1', 'crd_x': 540, 'crd_y': 440, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-1', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}, 'wire-2': {'wire_data': {'id': 'wire-2', 'designator': 'wire-2', 'net_id': 2, 'sta_comp': 'resistor-1', 'sta_tmnl': '2', 'end_comp': 'inductor-1', 'end_tmnl': '1', 'mid_crds': [940, 300]}, 'texts_data': {'default': {'id': 'defaultwire-2', 'crd_x': 780, 'crd_y': 320, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-2', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}, 'wire-3': {'wire_data': {'id': 'wire-3', 'designator': 'wire-3', 'net_id': 0, 'sta_comp': 'capacitor-1', 'sta_tmnl': '2', 'end_comp': 'ground-1', 'end_tmnl': '1', 'mid_crds': [520, 540]}, 'texts_data': {'default': {'id': 'defaultwire-3', 'crd_x': 540, 'crd_y': 480, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-3', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}, 'wire-4': {'wire_data': {'id': 'wire-4', 'designator': 'wire-4', 'net_id': 0, 'sta_comp': 'ground-1', 'sta_tmnl': '1', 'end_comp': 'inductor-1', 'end_tmnl': '2', 'mid_crds': [940, 540]}, 'texts_data': {'default': {'id': 'defaultwire-4', 'crd_x': 760, 'crd_y': 560, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-4', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}}, 'texts_data': {}, 'grphs_data': {}, 'calc_data': {'calc_method': 'Dynamic', 't_step': 1e-05, 't_lim': 0.01, 'u_comps': None, 'i_comps': None, 'u_nodes': None, 'time': None}}

# template 3phase R
tmp_3phase_u_r = {'elec_name': 'New Elec', 'elec_config': {'ref_vol_visible': None, 'ref_cur_visible': None, 'canvas_grid_line': 'line', 'canvas_grid_intvl': 20}, 'comps_data': {'voltage_ac-1': {'part_data': {'id': 'voltage_ac-1', 'designator': 'Uac-1', 'amp': 10.0, 'freq': 50.0, 'phase': 0.0, 'node1': 1, 'node2': 0, 'vol_dir': 1, 'cur_dir': -1, 'crd_x': 460, 'crd_y': 220, 'angle': 90}, 'texts_data': {'default': {'id': 'default-voltage_ac-1', 'crd_x': 566, 'crd_y': 221, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'Uac-1\n10.0*sin(2π*50.0*t+0.0) V', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-voltage_ac-1', 'crd_x': 450, 'crd_y': 220, 'angle': 90, 'visible': True, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-voltage_ac-1', 'crd_x': 430, 'crd_y': 220, 'angle': 270, 'visible': True, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}, 'voltage_ac-2': {'part_data': {'id': 'voltage_ac-2', 'designator': 'Uac-2', 'amp': 10.0, 'freq': 50.0, 'phase': -120.0, 'node1': 3, 'node2': 0, 'vol_dir': 1, 'cur_dir': -1, 'crd_x': 580, 'crd_y': 380, 'angle': 270}, 'texts_data': {'default': {'id': 'default-voltage_ac-2', 'crd_x': 665, 'crd_y': 412, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'Uac-2\n10.0*sin(2π*50.0*t+-120.0) V', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-voltage_ac-2', 'crd_x': 591, 'crd_y': 382, 'angle': 270, 'visible': True, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-voltage_ac-2', 'crd_x': 610, 'crd_y': 380, 'angle': 450, 'visible': True, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}, 'voltage_ac-3': {'part_data': {'id': 'voltage_ac-3', 'designator': 'Uac-3', 'amp': 10.0, 'freq': 50.0, 'phase': -240.0, 'node1': 2, 'node2': 0, 'vol_dir': 1, 'cur_dir': -1, 'crd_x': 340, 'crd_y': 380, 'angle': 270}, 'texts_data': {'default': {'id': 'default-voltage_ac-3', 'crd_x': 242, 'crd_y': 386, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'Uac-3\n10.0*sin(2π*50.0*t+-240.0) V', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-voltage_ac-3', 'crd_x': 350, 'crd_y': 380, 'angle': 270, 'visible': True, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-voltage_ac-3', 'crd_x': 370, 'crd_y': 380, 'angle': 450, 'visible': True, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}, 'ground-1': {'part_data': {'id': 'ground-1', 'designator': 'GND-1', 'node1': 0, 'vol_dir': 1, 'cur_dir': 1, 'crd_x': 460, 'crd_y': 360, 'angle': 90}, 'texts_data': {'default': {'id': 'default-ground-1', 'crd_x': 460, 'crd_y': 390, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'GND-1\n', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-ground-1', 'crd_x': 450, 'crd_y': 360, 'angle': 90, 'visible': False, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-ground-1', 'crd_x': 430, 'crd_y': 360, 'angle': 90, 'visible': False, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}, 'resistor-1': {'part_data': {'id': 'resistor-1', 'designator': 'R-1', 'value': 10.0, 'node1': 1, 'node2': 0, 'vol_dir': 1, 'cur_dir': 1, 'crd_x': 900, 'crd_y': 220, 'angle': 90}, 'texts_data': {'default': {'id': 'default-resistor-1', 'crd_x': 924, 'crd_y': 221, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'R-1\n10.0Ω', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-resistor-1', 'crd_x': 890, 'crd_y': 220, 'angle': 450, 'visible': True, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-resistor-1', 'crd_x': 870, 'crd_y': 220, 'angle': 810, 'visible': True, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}, 'resistor-2': {'part_data': {'id': 'resistor-2', 'designator': 'R-3', 'value': 10.0, 'node1': 2, 'node2': 0, 'vol_dir': 1, 'cur_dir': 1, 'crd_x': 780, 'crd_y': 380, 'angle': 270}, 'texts_data': {'default': {'id': 'default-resistor-2', 'crd_x': 758, 'crd_y': 380, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'R-3\n10.0Ω', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-resistor-2', 'crd_x': 790, 'crd_y': 380, 'angle': 270, 'visible': True, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-resistor-2', 'crd_x': 800, 'crd_y': 380, 'angle': 270, 'visible': True, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}, 'resistor-3': {'part_data': {'id': 'resistor-3', 'designator': 'R-2', 'value': 10.0, 'node1': 3, 'node2': 0, 'vol_dir': 1, 'cur_dir': 1, 'crd_x': 1040, 'crd_y': 380, 'angle': 270}, 'texts_data': {'default': {'id': 'default-resistor-3', 'crd_x': 1017, 'crd_y': 382, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'R-2\n10.0Ω', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-resistor-3', 'crd_x': 1050, 'crd_y': 380, 'angle': 270, 'visible': True, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-resistor-3', 'crd_x': 1060, 'crd_y': 379, 'angle': 270, 'visible': True, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}, 'ground-2': {'part_data': {'id': 'ground-2', 'designator': 'GND-1', 'node1': 0, 'vol_dir': 1, 'cur_dir': 1, 'crd_x': 900, 'crd_y': 360, 'angle': 90}, 'texts_data': {'default': {'id': 'default-ground-2', 'crd_x': 900, 'crd_y': 390, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'GND-1\n', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-ground-2', 'crd_x': 890, 'crd_y': 360, 'angle': 90, 'visible': False, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-ground-2', 'crd_x': 870, 'crd_y': 360, 'angle': 90, 'visible': False, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}}, 'conns_data': {'wire-1': {'wire_data': {'id': 'wire-1', 'designator': 'wire-1', 'net_id': 0, 'sta_comp': 'voltage_ac-1', 'sta_tmnl': '2', 'end_comp': 'ground-1', 'end_tmnl': '1', 'mid_crds': None}, 'texts_data': {'default': {'id': 'defaultwire-1', 'crd_x': 480, 'crd_y': 280, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-1', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}, 'wire-2': {'wire_data': {'id': 'wire-2', 'designator': 'wire-2', 'net_id': 0, 'sta_comp': 'voltage_ac-3', 'sta_tmnl': '2', 'end_comp': 'ground-1', 'end_tmnl': '1', 'mid_crds': None}, 'texts_data': {'default': {'id': 'defaultwire-2', 'crd_x': 360, 'crd_y': 360, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-2', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}, 'wire-3': {'wire_data': {'id': 'wire-3', 'designator': 'wire-3', 'net_id': 0, 'sta_comp': 'ground-1', 'sta_tmnl': '1', 'end_comp': 'voltage_ac-2', 'end_tmnl': '2', 'mid_crds': None}, 'texts_data': {'default': {'id': 'defaultwire-3', 'crd_x': 480, 'crd_y': 360, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-3', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}, 'wire-4': {'wire_data': {'id': 'wire-4', 'designator': 'wire-4', 'net_id': 1, 'sta_comp': 'voltage_ac-1', 'sta_tmnl': '1', 'end_comp': 'resistor-1', 'end_tmnl': '1', 'mid_crds': None}, 'texts_data': {'default': {'id': 'defaultwire-4', 'crd_x': 480, 'crd_y': 200, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-4', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}, 'wire-5': {'wire_data': {'id': 'wire-5', 'designator': 'wire-5', 'net_id': 0, 'sta_comp': 'resistor-2', 'sta_tmnl': '2', 'end_comp': 'ground-2', 'end_tmnl': '1', 'mid_crds': None}, 'texts_data': {'default': {'id': 'defaultwire-5', 'crd_x': 800, 'crd_y': 360, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-5', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}, 'wire-6': {'wire_data': {'id': 'wire-6', 'designator': 'wire-6', 'net_id': 0, 'sta_comp': 'resistor-1', 'sta_tmnl': '2', 'end_comp': 'ground-2', 'end_tmnl': '1', 'mid_crds': None}, 'texts_data': {'default': {'id': 'defaultwire-6', 'crd_x': 920, 'crd_y': 280, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-6', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}, 'wire-7': {'wire_data': {'id': 'wire-7', 'designator': 'wire-7', 'net_id': 0, 'sta_comp': 'ground-2', 'sta_tmnl': '1', 'end_comp': 'resistor-3', 'end_tmnl': '2', 'mid_crds': None}, 'texts_data': {'default': {'id': 'defaultwire-7', 'crd_x': 920, 'crd_y': 360, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-7', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}, 'wire-8': {'wire_data': {'id': 'wire-8', 'designator': 'wire-8', 'net_id': 2, 'sta_comp': 'voltage_ac-3', 'sta_tmnl': '1', 'end_comp': 'resistor-2', 'end_tmnl': '1', 'mid_crds': [340, 460, 780, 460]}, 'texts_data': {'default': {'id': 'defaultwire-8', 'crd_x': 360, 'crd_y': 440, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-8', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}, 'wire-9': {'wire_data': {'id': 'wire-9', 'designator': 'wire-9', 'net_id': 3, 'sta_comp': 'voltage_ac-2', 'sta_tmnl': '1', 'end_comp': 'resistor-3', 'end_tmnl': '1', 'mid_crds': [580, 500, 1040, 500]}, 'texts_data': {'default': {'id': 'defaultwire-9', 'crd_x': 600, 'crd_y': 440, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-9', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}}, 'texts_data': {}, 'grphs_data': {}, 'calc_data': {'calc_method': 'SinSteady', 't_step': 1e-05, 't_lim': 0.5, 'u_comps': {'Uac-1': (10+0j), 'Uac-2': (-4.999999999999998-8.660254037844387j), 'Uac-3': (-5.000000000000004+8.660254037844386j), 'R-1': (10+0j), 'R-3': (-5.000000000000004+8.660254037844386j), 'R-2': (-4.999999999999998-8.660254037844387j)}, 'i_comps': {'Uac-1': (1+0j), 'Uac-2': (-0.49999999999999983-0.8660254037844388j), 'Uac-3': (-0.5000000000000004+0.8660254037844385j), 'R-1': (1+0j), 'R-3': (-0.5000000000000004+0.8660254037844385j), 'R-2': (-0.49999999999999983-0.8660254037844388j)}, 'u_nodes': {'node1': (10+0j), 'node2': (-5.000000000000004+8.660254037844386j), 'node3': (-4.999999999999998-8.660254037844387j)}, 'time': None}}

# template 3phase C
tmp_3phase_u_r_c = {'elec_name': 'New Elec', 'elec_config': {'ref_vol_visible': None, 'ref_cur_visible': None, 'canvas_grid_line': 'line', 'canvas_grid_intvl': 20}, 'comps_data': {'voltage_ac-1': {'part_data': {'id': 'voltage_ac-1', 'designator': 'Uac-1', 'amp': 10.0, 'freq': 50.0, 'phase': 0.0, 'node1': 6, 'node2': 0, 'vol_dir': 1, 'cur_dir': -1, 'crd_x': 460, 'crd_y': 220, 'angle': 90}, 'texts_data': {'default': {'id': 'default-voltage_ac-1', 'crd_x': 566, 'crd_y': 221, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'Uac-1\n10.0*sin(2π*50.0*t+0.0) V', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-voltage_ac-1', 'crd_x': 450, 'crd_y': 220, 'angle': 90, 'visible': True, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-voltage_ac-1', 'crd_x': 430, 'crd_y': 220, 'angle': 270, 'visible': True, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}, 'voltage_ac-2': {'part_data': {'id': 'voltage_ac-2', 'designator': 'Uac-2', 'amp': 10.0, 'freq': 50.0, 'phase': -120.0, 'node1': 3, 'node2': 0, 'vol_dir': 1, 'cur_dir': -1, 'crd_x': 580, 'crd_y': 380, 'angle': 270}, 'texts_data': {'default': {'id': 'default-voltage_ac-2', 'crd_x': 665, 'crd_y': 412, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'Uac-2\n10.0*sin(2π*50.0*t+-120.0) V', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-voltage_ac-2', 'crd_x': 591, 'crd_y': 382, 'angle': 270, 'visible': True, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-voltage_ac-2', 'crd_x': 610, 'crd_y': 380, 'angle': 450, 'visible': True, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}, 'voltage_ac-3': {'part_data': {'id': 'voltage_ac-3', 'designator': 'Uac-3', 'amp': 10.0, 'freq': 50.0, 'phase': -240.0, 'node1': 2, 'node2': 0, 'vol_dir': 1, 'cur_dir': -1, 'crd_x': 340, 'crd_y': 380, 'angle': 270}, 'texts_data': {'default': {'id': 'default-voltage_ac-3', 'crd_x': 242, 'crd_y': 386, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'Uac-3\n10.0*sin(2π*50.0*t+-240.0) V', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-voltage_ac-3', 'crd_x': 350, 'crd_y': 380, 'angle': 270, 'visible': True, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-voltage_ac-3', 'crd_x': 370, 'crd_y': 380, 'angle': 450, 'visible': True, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}, 'ground-1': {'part_data': {'id': 'ground-1', 'designator': 'GND-1', 'node1': 0, 'vol_dir': 1, 'cur_dir': 1, 'crd_x': 460, 'crd_y': 360, 'angle': 90}, 'texts_data': {'default': {'id': 'default-ground-1', 'crd_x': 460, 'crd_y': 390, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'GND-1\n', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-ground-1', 'crd_x': 450, 'crd_y': 360, 'angle': 90, 'visible': False, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-ground-1', 'crd_x': 430, 'crd_y': 360, 'angle': 90, 'visible': False, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}, 'resistor-1': {'part_data': {'id': 'resistor-1', 'designator': 'R-1', 'value': 3185.0, 'node1': 6, 'node2': 1, 'vol_dir': 1, 'cur_dir': 1, 'crd_x': 900, 'crd_y': 200, 'angle': 90}, 'texts_data': {'default': {'id': 'default-resistor-1', 'crd_x': 937, 'crd_y': 202, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'R-1\n3.185kΩ', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-resistor-1', 'crd_x': 890, 'crd_y': 200, 'angle': 450, 'visible': True, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-resistor-1', 'crd_x': 870, 'crd_y': 200, 'angle': 810, 'visible': True, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}, 'resistor-2': {'part_data': {'id': 'resistor-2', 'designator': 'R-3', 'value': 3185.0, 'node1': 2, 'node2': 4, 'vol_dir': 1, 'cur_dir': 1, 'crd_x': 780, 'crd_y': 400, 'angle': 270}, 'texts_data': {'default': {'id': 'default-resistor-2', 'crd_x': 758, 'crd_y': 400, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'R-3\n3.185kΩ', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-resistor-2', 'crd_x': 790, 'crd_y': 400, 'angle': 270, 'visible': True, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-resistor-2', 'crd_x': 800, 'crd_y': 400, 'angle': 270, 'visible': True, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}, 'resistor-3': {'part_data': {'id': 'resistor-3', 'designator': 'R-2', 'value': 3185.0, 'node1': 3, 'node2': 5, 'vol_dir': 1, 'cur_dir': 1, 'crd_x': 1040, 'crd_y': 400, 'angle': 270}, 'texts_data': {'default': {'id': 'default-resistor-3', 'crd_x': 1010, 'crd_y': 403, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'R-2\n3.185kΩ', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-resistor-3', 'crd_x': 1050, 'crd_y': 400, 'angle': 270, 'visible': True, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-resistor-3', 'crd_x': 1060, 'crd_y': 399, 'angle': 270, 'visible': True, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}, 'ground-2': {'part_data': {'id': 'ground-2', 'designator': 'GND-1', 'node1': 0, 'vol_dir': 1, 'cur_dir': 1, 'crd_x': 900, 'crd_y': 360, 'angle': 90}, 'texts_data': {'default': {'id': 'default-ground-2', 'crd_x': 902, 'crd_y': 396, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'GND-1\n', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-ground-2', 'crd_x': 890, 'crd_y': 360, 'angle': 90, 'visible': False, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-ground-2', 'crd_x': 870, 'crd_y': 360, 'angle': 90, 'visible': False, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}, 'capacitor-1': {'part_data': {'id': 'capacitor-1', 'designator': 'C-1', 'value': 1e-06, 'Uc': 0, 'node1': 1, 'node2': 0, 'vol_dir': 1, 'cur_dir': 1, 'crd_x': 900, 'crd_y': 280, 'angle': 90}, 'texts_data': {'default': {'id': 'default-capacitor-1', 'crd_x': 929, 'crd_y': 280, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'C-1\n1.0uF', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-capacitor-1', 'crd_x': 890, 'crd_y': 280, 'angle': 90, 'visible': True, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-capacitor-1', 'crd_x': 870, 'crd_y': 280, 'angle': 90, 'visible': True, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}, 'capacitor-2': {'part_data': {'id': 'capacitor-2', 'designator': 'C-3', 'value': 1e-06, 'Uc': 0, 'node1': 4, 'node2': 0, 'vol_dir': 1, 'cur_dir': 1, 'crd_x': 780, 'crd_y': 320, 'angle': 270}, 'texts_data': {'default': {'id': 'default-capacitor-2', 'crd_x': 753, 'crd_y': 324, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'C-3\n1.0uF', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-capacitor-2', 'crd_x': 790, 'crd_y': 320, 'angle': 270, 'visible': True, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-capacitor-2', 'crd_x': 810, 'crd_y': 320, 'angle': 270, 'visible': True, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}, 'capacitor-3': {'part_data': {'id': 'capacitor-3', 'designator': 'C-2', 'value': 1e-06, 'Uc': 0, 'node1': 5, 'node2': 0, 'vol_dir': 1, 'cur_dir': 1, 'crd_x': 1040, 'crd_y': 320, 'angle': 270}, 'texts_data': {'default': {'id': 'default-capacitor-3', 'crd_x': 1008, 'crd_y': 323, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'C-2\n1.0uF', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-capacitor-3', 'crd_x': 1050, 'crd_y': 320, 'angle': 270, 'visible': True, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-capacitor-3', 'crd_x': 1070, 'crd_y': 320, 'angle': 270, 'visible': True, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}}, 'conns_data': {'wire-1': {'wire_data': {'id': 'wire-1', 'designator': 'wire-1', 'net_id': 0, 'sta_comp': 'voltage_ac-1', 'sta_tmnl': '2', 'end_comp': 'ground-1', 'end_tmnl': '1', 'mid_crds': None}, 'texts_data': {'default': {'id': 'defaultwire-1', 'crd_x': 480, 'crd_y': 280, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-1', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}, 'wire-2': {'wire_data': {'id': 'wire-2', 'designator': 'wire-2', 'net_id': 0, 'sta_comp': 'voltage_ac-3', 'sta_tmnl': '2', 'end_comp': 'ground-1', 'end_tmnl': '1', 'mid_crds': None}, 'texts_data': {'default': {'id': 'defaultwire-2', 'crd_x': 360, 'crd_y': 360, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-2', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}, 'wire-3': {'wire_data': {'id': 'wire-3', 'designator': 'wire-3', 'net_id': 0, 'sta_comp': 'ground-1', 'sta_tmnl': '1', 'end_comp': 'voltage_ac-2', 'end_tmnl': '2', 'mid_crds': None}, 'texts_data': {'default': {'id': 'defaultwire-3', 'crd_x': 480, 'crd_y': 360, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-3', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}, 'wire-8': {'wire_data': {'id': 'wire-8', 'designator': 'wire-8', 'net_id': 2, 'sta_comp': 'voltage_ac-3', 'sta_tmnl': '1', 'end_comp': 'resistor-2', 'end_tmnl': '1', 'mid_crds': [340, 460, 780, 460]}, 'texts_data': {'default': {'id': 'defaultwire-8', 'crd_x': 360, 'crd_y': 440, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-8', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}, 'wire-9': {'wire_data': {'id': 'wire-9', 'designator': 'wire-9', 'net_id': 3, 'sta_comp': 'voltage_ac-2', 'sta_tmnl': '1', 'end_comp': 'resistor-3', 'end_tmnl': '1', 'mid_crds': [580, 500, 1040, 500]}, 'texts_data': {'default': {'id': 'defaultwire-9', 'crd_x': 600, 'crd_y': 440, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-9', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}, 'wire-4': {'wire_data': {'id': 'wire-4', 'designator': 'wire-4', 'net_id': 1, 'sta_comp': 'resistor-1', 'sta_tmnl': '2', 'end_comp': 'capacitor-1', 'end_tmnl': '1', 'mid_crds': None}, 'texts_data': {'default': {'id': 'defaultwire-4', 'crd_x': 920, 'crd_y': 260, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-4', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}, 'wire-5': {'wire_data': {'id': 'wire-5', 'designator': 'wire-5', 'net_id': 0, 'sta_comp': 'capacitor-1', 'sta_tmnl': '2', 'end_comp': 'ground-2', 'end_tmnl': '1', 'mid_crds': None}, 'texts_data': {'default': {'id': 'defaultwire-5', 'crd_x': 920, 'crd_y': 320, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-5', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}, 'wire-6': {'wire_data': {'id': 'wire-6', 'designator': 'wire-6', 'net_id': 0, 'sta_comp': 'capacitor-2', 'sta_tmnl': '2', 'end_comp': 'capacitor-1', 'end_tmnl': '2', 'mid_crds': None}, 'texts_data': {'default': {'id': 'defaultwire-6', 'crd_x': 800, 'crd_y': 320, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-6', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}, 'wire-7': {'wire_data': {'id': 'wire-7', 'designator': 'wire-7', 'net_id': 0, 'sta_comp': 'capacitor-1', 'sta_tmnl': '2', 'end_comp': 'capacitor-3', 'end_tmnl': '2', 'mid_crds': None}, 'texts_data': {'default': {'id': 'defaultwire-7', 'crd_x': 920, 'crd_y': 320, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-7', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}, 'wire-10': {'wire_data': {'id': 'wire-10', 'designator': 'wire-10', 'net_id': 4, 'sta_comp': 'capacitor-2', 'sta_tmnl': '1', 'end_comp': 'resistor-2', 'end_tmnl': '2', 'mid_crds': None}, 'texts_data': {'default': {'id': 'defaultwire-10', 'crd_x': 800, 'crd_y': 360, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-10', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}, 'wire-11': {'wire_data': {'id': 'wire-11', 'designator': 'wire-11', 'net_id': 5, 'sta_comp': 'capacitor-3', 'sta_tmnl': '1', 'end_comp': 'resistor-3', 'end_tmnl': '2', 'mid_crds': None}, 'texts_data': {'default': {'id': 'defaultwire-11', 'crd_x': 1060, 'crd_y': 360, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-11', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}, 'wire-12': {'wire_data': {'id': 'wire-12', 'designator': 'wire-12', 'net_id': 6, 'sta_comp': 'voltage_ac-1', 'sta_tmnl': '1', 'end_comp': 'resistor-1', 'end_tmnl': '1', 'mid_crds': [460, 140, 900, 140]}, 'texts_data': {'default': {'id': 'defaultwire-12', 'crd_x': 480, 'crd_y': 200, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-12', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}}, 'texts_data': {}, 'grphs_data': {}, 'calc_data': {'calc_method': 'SinSteady', 't_step': 1e-05, 't_lim': 0.5, 'u_comps': {'Uac-1': (10+0j), 'Uac-2': (-4.999999999999998-8.660254037844387j), 'Uac-3': (-5.000000000000004+8.660254037844386j), 'R-1': (5.0029854090426324+4.999999108733205j), 'R-3': (-6.831618951583826+1.8327129046271953j), 'R-2': (1.8286335425411924-6.832712013360403j), 'C-1': (4.9970145909573676-4.999999108733205j), 'C-3': (1.8316189515838213+6.82754113321719j), 'C-2': (-6.828633542541191-1.827542024483984j)}, 'i_comps': {'Uac-1': (0.0015707960467951751+0.0015698584328832671j), 'Uac-2': (0.0005741392598245503-0.002145278497130425j), 'Uac-3': (-0.0021449353066197254+0.000575420064247157j), 'R-1': (0.0015707960467951751+0.0015698584328832671j), 'R-3': (-0.0021449353066197254+0.000575420064247157j), 'R-2': (0.0005741392598245503-0.002145278497130425j), 'C-1': (0.0015707960467951751+0.001569858432883267j), 'C-3': (-0.002144935306619726+0.0005754200642471572j), 'C-2': (0.0005741392598245503-0.002145278497130425j)}, 'u_nodes': {'node1': (4.9970145909573676-4.999999108733205j), 'node2': (-5.000000000000004+8.660254037844386j), 'node3': (-4.999999999999998-8.660254037844387j), 'node4': (1.8316189515838213+6.82754113321719j), 'node5': (-6.828633542541191-1.827542024483984j), 'node6': (10+0j)}, 'time': None}}

# template Iac-R-C
tmp_Iac_r_c = {'elec_name': 'New Elec', 'elec_config': {'ref_vol_visible': None, 'ref_cur_visible': None, 'canvas_grid_line': 'line', 'canvas_grid_intvl': 20}, 'comps_data': {'current_ac-1': {'part_data': {'id': 'current_ac-1', 'designator': 'Iac-1', 'amp': 5.0, 'freq': 50.0, 'phase': 0.0, 'node1': 0, 'node2': 1, 'vol_dir': -1, 'cur_dir': 1, 'crd_x': 480, 'crd_y': 280, 'angle': 270}, 'texts_data': {'default': {'id': 'default-current_ac-1', 'crd_x': 409, 'crd_y': 299, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'Iac-1\n5.0*sin(2π*50.0*t+0.0) A', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-current_ac-1', 'crd_x': 490, 'crd_y': 280, 'angle': 450, 'visible': True, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-current_ac-1', 'crd_x': 510, 'crd_y': 280, 'angle': 270, 'visible': True, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}, 'resistor-1': {'part_data': {'id': 'resistor-1', 'designator': 'R-1', 'value': 5.0, 'node1': 1, 'node2': 2, 'vol_dir': 1, 'cur_dir': 1, 'crd_x': 660, 'crd_y': 200, 'angle': 0}, 'texts_data': {'default': {'id': 'default-resistor-1', 'crd_x': 660, 'crd_y': 170, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'R-1\n5.0Ω', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-resistor-1', 'crd_x': 660, 'crd_y': 210, 'angle': 0, 'visible': True, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-resistor-1', 'crd_x': 660, 'crd_y': 230, 'angle': 0, 'visible': True, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}, 'capacitor-1': {'part_data': {'id': 'capacitor-1', 'designator': 'C-1', 'value': 0.001, 'Uc': 0, 'node1': 2, 'node2': 0, 'vol_dir': 1, 'cur_dir': 1, 'crd_x': 840, 'crd_y': 280, 'angle': 90}, 'texts_data': {'default': {'id': 'default-capacitor-1', 'crd_x': 874, 'crd_y': 280, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'C-1\n1.0mF', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-capacitor-1', 'crd_x': 830, 'crd_y': 280, 'angle': 90, 'visible': True, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-capacitor-1', 'crd_x': 810, 'crd_y': 280, 'angle': 90, 'visible': True, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}, 'ground-1': {'part_data': {'id': 'ground-1', 'designator': 'GND-1', 'node1': 0, 'vol_dir': 1, 'cur_dir': 1, 'crd_x': 660, 'crd_y': 380, 'angle': 90}, 'texts_data': {'default': {'id': 'default-ground-1', 'crd_x': 662, 'crd_y': 414, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'GND-1\n', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-ground-1', 'crd_x': 650, 'crd_y': 380, 'angle': 90, 'visible': False, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-ground-1', 'crd_x': 630, 'crd_y': 380, 'angle': 90, 'visible': False, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}, 'resistor-2': {'part_data': {'id': 'resistor-2', 'designator': 'R-2', 'value': 10.0, 'node1': 1, 'node2': 0, 'vol_dir': 1, 'cur_dir': 1, 'crd_x': 580, 'crd_y': 280, 'angle': 90}, 'texts_data': {'default': {'id': 'default-resistor-2', 'crd_x': 603, 'crd_y': 278, 'angle': 0, 'color': 'black', 'visible': True, 'content': 'R-2\n10.0Ω', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}, 'grphs_data': {'dft_vol': {'id': 'pn-resistor-2', 'crd_x': 570, 'crd_y': 280, 'angle': 90, 'visible': True, 'size': 8, 'distance': 60, 'color': '#F64F5F'}, 'dft_cur': {'id': 'arrow-resistor-2', 'crd_x': 550, 'crd_y': 280, 'angle': 90, 'visible': True, 'tail_len': 20, 'arrw_len': 20, 'arrw_wid': 5, 'color': '#F64F5F'}}}}, 'conns_data': {'wire-1': {'wire_data': {'id': 'wire-1', 'designator': 'wire-1', 'net_id': 1, 'sta_comp': 'current_ac-1', 'sta_tmnl': '2', 'end_comp': 'resistor-1', 'end_tmnl': '1', 'mid_crds': [480, 200]}, 'texts_data': {'default': {'id': 'defaultwire-1', 'crd_x': 500, 'crd_y': 280, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-1', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}, 'wire-2': {'wire_data': {'id': 'wire-2', 'designator': 'wire-2', 'net_id': 2, 'sta_comp': 'resistor-1', 'sta_tmnl': '2', 'end_comp': 'capacitor-1', 'end_tmnl': '1', 'mid_crds': [840, 200]}, 'texts_data': {'default': {'id': 'defaultwire-2', 'crd_x': 720, 'crd_y': 220, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-2', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}, 'wire-3': {'wire_data': {'id': 'wire-3', 'designator': 'wire-3', 'net_id': 0, 'sta_comp': 'current_ac-1', 'sta_tmnl': '1', 'end_comp': 'ground-1', 'end_tmnl': '1', 'mid_crds': [480, 360]}, 'texts_data': {'default': {'id': 'defaultwire-3', 'crd_x': 500, 'crd_y': 360, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-3', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}, 'wire-4': {'wire_data': {'id': 'wire-4', 'designator': 'wire-4', 'net_id': 0, 'sta_comp': 'ground-1', 'sta_tmnl': '1', 'end_comp': 'capacitor-1', 'end_tmnl': '2', 'mid_crds': [840, 360]}, 'texts_data': {'default': {'id': 'defaultwire-4', 'crd_x': 680, 'crd_y': 380, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-4', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}, 'wire-5': {'wire_data': {'id': 'wire-5', 'designator': 'wire-5', 'net_id': 1, 'sta_comp': 'resistor-1', 'sta_tmnl': '1', 'end_comp': 'resistor-2', 'end_tmnl': '1', 'mid_crds': [580, 200]}, 'texts_data': {'default': {'id': 'defaultwire-5', 'crd_x': 640, 'crd_y': 220, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-5', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}, 'wire-6': {'wire_data': {'id': 'wire-6', 'designator': 'wire-6', 'net_id': 0, 'sta_comp': 'resistor-2', 'sta_tmnl': '2', 'end_comp': 'ground-1', 'end_tmnl': '1', 'mid_crds': [580, 360]}, 'texts_data': {'default': {'id': 'defaultwire-6', 'crd_x': 600, 'crd_y': 340, 'angle': 0, 'color': 'black', 'visible': False, 'content': 'wire-6', 'font_family': 'Times', 'font_size': '8', 'font_weight': 'bold', 'font_slant': 'roman', 'font_underline': 0, 'font_overstrike': 0}}}}, 'texts_data': {}, 'grphs_data': {}, 'calc_data': {'calc_method': 'SinSteady', 't_step': 1e-05, 't_lim': 0.5, 'u_comps': {'Iac-1': (18.103039039600496-6.768745341942387j), 'R-1': (15.948480480199752+3.384372670971193j), 'C-1': (2.154558559400744-10.15311801291358j), 'R-2': (18.103039039600496-6.768745341942387j)}, 'i_comps': {'Iac-1': (5+0j), 'R-1': (3.1896960960399503+0.6768745341942386j), 'C-1': (3.1896960960399503+0.6768745341942386j), 'R-2': (1.8103039039600495-0.6768745341942387j)}, 'u_nodes': {'node1': (18.103039039600496-6.768745341942387j), 'node2': (2.154558559400744-10.15311801291358j)}, 'time': None}}


# template electric system
classic_circuits_data = {'Series Resonant Circuit': tmp_uac_r_l_c,
                         'Parallel Resonant Circuit': tmp_iac_r_l_c,
                         'Half Rectifier Circuit': tmp_uac_r_d_c,
                         'Full Wave Rectifier Circuit': tmp_uac_4d_r_c,
                         'RC Charging Circuit': tmp_udc_r_c,
                         'RC Charging Circuit with Current Source': tmp_Iac_r_c,
                         'RC Discharging Circuit': tmp_c_r,
                         'Pulse Discharging Circuit': tmp_c_r_l,
                         'Three Phase Resistive Circuit': tmp_3phase_u_r,
                         'Three Phase Pesistive and Capacitive Circuit': tmp_3phase_u_r_c}
